RKGETKANJI(3)

NAME
RkGetKanji - get the current candidate for the current clause

SYNOPSIS
#include <canna/RK.h>
int RkGetkanji(cxnum, kanji, maxkanji)
int cxnum;
unsigned char *kanji;
int maxkanji;

DESCRIPTION
RkGetKanji sets kanji in the area kanji. The resulting character string is truncated when its byte length exceeds maxkanji -1.

RETURN VALUE
This function returns the length of the current candidate, or returns -1, without doing anything, if it has been run in a nonconversion mode context.